#include "../../stdafx.h"

#include "D3DConsoleRenderingContext.h"

//---------------------------------------------------------------------------
// CD3DTextBoxConsoleRenderingContext
//---------------------------------------------------------------------------

CD3DTextBoxConsoleRenderingContext::CD3DTextBoxConsoleRenderingContext( CD3DFont& font, int x, int y, DWORD color )
:	mFont( font ),
	mX( x ),
	mY( y ),
	mColor( color )
{
}

CD3DTextBoxConsoleRenderingContext::~CD3DTextBoxConsoleRenderingContext()
{
}

void CD3DTextBoxConsoleRenderingContext::write( const std::string& message )
{
	mBuffer += message;
}

void CD3DTextBoxConsoleRenderingContext::flush()
{
	mFont.DrawText( mX, mY, mColor, (char*)mBuffer.c_str() );
	mBuffer.erase();
}
