
#ifndef __LINE_H
#define __LINE_H

#include "../utils/FixedPool.h"


struct SLine {
public:
	struct SInfo {
		D3DXVECTOR3	endA;
		D3DXVECTOR3	endB;
		float		halfWidth;
		D3DXCOLOR	color;
	};
public:
	SInfo	info;
	SInfo	oldInfo;

public:
	void	beforeUpdate() { oldInfo = info; }
};


typedef CFixedPool<SLine>	TLinePool;


#endif
