
#ifndef __D3DCONSOLE_H
#define __D3DCONSOLE_H

#include "Console.h"

class CD3DText;


class CD3DTextBoxConsoleRenderingContext : public con::IConsoleRenderingContext {
public:
	CD3DTextBoxConsoleRenderingContext( CD3DFont& font, int x, int y, DWORD color );
	virtual ~CD3DTextBoxConsoleRenderingContext();

	virtual void write( const std::string& message );
	virtual void flush();

private:
	CD3DFont&	mFont;
	int			mX;
	int			mY;
	DWORD		mColor;

	std::string	mBuffer;
};

#endif
